<?php

namespace App\Services\PwHexParser\Types;

use App\Services\PwHexParser\Contracts\Translate;

class Card extends Translate
{
    protected string $typeKey = 'Card';

    public function getStructure(): array
    {
        return [
            'type' => 'int64',
            'class' => 'int64',
            'level' => 'int64',
            'leadership' => 'int64',
            'max_level' => 'int64',
            'current_level' => 'int64',
            'current_exp' => 'int64',
            'merge_times' => 'int64',
        ];
    }

    public function getMinimumLength(): int
    {
        return 64;
    }
}